de.esprit.appsuite.appstore

## Class AppStarterConfig

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.launch.ApplicationConfig
      - - de.esprit.appsuite.appstore.AppStarterConfig

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class AppStarterConfig
      extends ApplicationConfig

  This class just encapsulates the available command-line-options.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppStarterConfig(AppStarterCLP clp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `getAppCacheRootDir()`
    `java.net.URL` | `getAppStoreURL()`
    `java.lang.String` | `getAppToStart()`
    `java.io.File` | `getAppWorkingDir()`
    `java.lang.String` | `getVersionToStart()`
    `boolean` | `isShowTrayIcon()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.appsuite.launch.ApplicationConfig

      `getApplicationName, getCustomVersion, getEspritVersion, getLogDir, getStartLogLevel, getStartLogLevel, isDemoMode, isLogToFile, isNoConsoleLog, isPrintVersionOnly, isTestMode`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AppStarterConfig

          public AppStarterConfig(AppStarterCLP clp)

  - ### Method Detail

    - #### getAppCacheRootDir

          public java.io.File getAppCacheRootDir()

    - #### getAppWorkingDir

          public java.io.File getAppWorkingDir()

    - #### getAppStoreURL

          public java.net.URL getAppStoreURL()

    - #### getAppToStart

          public java.lang.String getAppToStart()

    - #### getVersionToStart

          public java.lang.String getVersionToStart()

    - #### isShowTrayIcon

          public boolean isShowTrayIcon()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `ApplicationConfig`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `ApplicationConfig`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.